diff --git a/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_detail_view.dart b/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_detail_view.dart
index 1670333..c0148ba 100644
--- a/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_detail_view.dart
+++ b/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_detail_view.dart
@@ -722,44 +1118,148 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
                                 controller.selectedLaporan.value
                                         ?.beritaAcaraUrl !=
                                     null)
-                              const SizedBox(height: 16),
+                              const SizedBox(height: 20),
 
                             // Berita Acara
                             if (controller
                                     .selectedLaporan.value?.beritaAcaraUrl !=
                                 null) ...[
-                              const Text(
-                                'Berita Acara:',
-                                style: TextStyle(
-                                  fontSize: 14,
-                                  fontWeight: FontWeight.bold,
-                                  color: Colors.grey,
+                              Container(
+                                padding: const EdgeInsets.all(16),
+                                decoration: BoxDecoration(
+                                  color: Colors.amber.shade50,
+                                  borderRadius: BorderRadius.circular(12),
+                                  border:
+                                      Border.all(color: Colors.amber.shade200),
                                 ),
-                              ),
-                              const SizedBox(height: 8),
-                              ListTile(
-                                leading: const Icon(
-                                  Icons.description,
-                                  color: Colors.blue,
-                                  size: 40,
+                                child: Column(
+                                  crossAxisAlignment: CrossAxisAlignment.start,
+                                  children: [
+                                    Row(
+                                      children: [
+                                        Icon(
+                                          Icons.description,
+                                          color: Colors.amber.shade800,
+                                          size: 22,
+                                        ),
+                                        const SizedBox(width: 10),
+                                        const Text(
+                                          'Berita Acara',
+                                          style: TextStyle(
+                                            fontSize: 16,
+                                            fontWeight: FontWeight.bold,
+                                            color: Colors.black87,
+                                          ),
+                                        ),
+                                      ],
+                                    ),
+                                    const SizedBox(height: 16),
+                                    Container(
+                                      padding: const EdgeInsets.all(16),
+                                      decoration: BoxDecoration(
+                                        color: Colors.white,
+                                        borderRadius: BorderRadius.circular(10),
+                                        boxShadow: [
+                                          BoxShadow(
+                                            color:
+                                                Colors.black.withOpacity(0.05),
+                                            blurRadius: 5,
+                                            offset: const Offset(0, 2),
+                                          ),
+                                        ],
+                                      ),
+                                      child: Row(
+                                        children: [
+                                          Container(
+                                            padding: const EdgeInsets.all(12),
+                                            decoration: BoxDecoration(
+                                              color: Colors.amber.shade100,
+                                              borderRadius:
+                                                  BorderRadius.circular(10),
+                                            ),
+                                            child: Icon(
+                                              Icons.insert_drive_file,
+                                              color: Colors.amber.shade800,
+                                              size: 30,
+                                            ),
+                                          ),
+                                          const SizedBox(width: 15),
+                                          Expanded(
+                                            child: Column(
+                                              crossAxisAlignment:
+                                                  CrossAxisAlignment.start,
+                                              children: [
+                                                const Text(
+                                                  'Dokumen Berita Acara',
+                                                  style: TextStyle(
+                                                    fontSize: 16,
+                                                    fontWeight: FontWeight.bold,
+                                                  ),
+                                                ),
+                                                const SizedBox(height: 5),
+                                                Text(
+                                                  'Berkas Resmi Penyaluran',
+                                                  style: TextStyle(
+                                                    fontSize: 14,
+                                                    color: Colors.grey[600],
+                                                  ),
+                                                ),
+                                              ],
+                                            ),
+                                          ),
+                                          IconButton(
+                                            onPressed: () async {
+                                              final Uri url = Uri.parse(
+                                                  controller.selectedLaporan
+                                                      .value!.beritaAcaraUrl!);
+                                              if (!await launchUrl(url)) {
+                                                throw Exception(
+                                                    'Tidak dapat membuka $url');
+                                              }
+                                            },
+                                            icon: Icon(
+                                              Icons.file_open,
+                                              color: Colors.amber.shade800,
+                                              size: 24,
+                                            ),
+                                          ),
+                                        ],
+                                      ),
+                                    ),
+                                    const SizedBox(height: 16),
+                                    Row(
+                                      mainAxisAlignment: MainAxisAlignment.end,
+                                      children: [
+                                        ElevatedButton.icon(
+                                          onPressed: () async {
+                                            final Uri url = Uri.parse(controller
+                                                .selectedLaporan
+                                                .value!
+                                                .beritaAcaraUrl!);
+                                            if (!await launchUrl(url)) {
+                                              throw Exception(
+                                                  'Tidak dapat membuka $url');
+                                            }
+                                          },
+                                          icon: const Icon(Icons.download),
+                                          label:
+                                              const Text('Unduh Berita Acara'),
+                                          style: ElevatedButton.styleFrom(
+                                            backgroundColor:
+                                                Colors.amber.shade800,
+                                            elevation: 0,
+                                            shape: RoundedRectangleBorder(
+                                              borderRadius:
+                                                  BorderRadius.circular(8),
+                                            ),
+                                            padding: const EdgeInsets.symmetric(
+                                                horizontal: 16, vertical: 10),
+                                          ),
+                                        ),
+                                      ],
+                                    ),
+                                  ],
                                 ),
-                                title: const Text(
-                                  'Dokumen Berita Acara',
-                                  style: TextStyle(fontWeight: FontWeight.bold),
-                                ),
-                                subtitle:
-                                    const Text('Tap untuk membuka dokumen'),
-                                shape: RoundedRectangleBorder(
-                                  borderRadius: BorderRadius.circular(8),
-                                  side: BorderSide(color: Colors.grey.shade300),
-                                ),
-                                onTap: () async {
-                                  final Uri url = Uri.parse(controller
-                                      .selectedLaporan.value!.beritaAcaraUrl!);
-                                  if (!await launchUrl(url)) {
-                                    throw Exception('Tidak dapat membuka $url');
-                                  }
-                                },
                               ),
                             ],
                           ],
@@ -768,63 +1268,91 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
                     ),
                   ],
                 ),
-              const SizedBox(height: 24),
+              const SizedBox(height: 30),
 
               // Tombol aksi
-              Row(
-                mainAxisAlignment: MainAxisAlignment.spaceEvenly,
-                children: [
-                  if (laporan.status != 'FINAL')
-                    Expanded(
-                      child: ElevatedButton.icon(
-                        onPressed: () =>
-                            _showFinalizeConfirmation(context, laporanId),
-                        icon: const Icon(Icons.check_circle),
-                        label: const Text('Finalisasi'),
-                        style: ElevatedButton.styleFrom(
-                          backgroundColor: Colors.green,
-                          padding: const EdgeInsets.symmetric(vertical: 12),
-                        ),
-                      ),
+              Container(
+                margin: const EdgeInsets.only(bottom: 20),
+                decoration: BoxDecoration(
+                  color: Colors.white,
+                  borderRadius: BorderRadius.circular(16),
+                  boxShadow: [
+                    BoxShadow(
+                      color: Colors.grey.withOpacity(0.2),
+                      blurRadius: 10,
+                      offset: const Offset(0, -5),
                     ),
-                  if (laporan.status != 'FINAL') const SizedBox(width: 12),
-                  Expanded(
-                    child: Obx(() => ElevatedButton.icon(
-                          onPressed: controller.isExporting.value
-                              ? null
-                              : () {
-                                  if (controller.selectedLaporan.value !=
-                                          null &&
-                                      controller.selectedPenyaluran.value !=
-                                          null) {
-                                    controller.exportToPdf(
-                                        controller.selectedLaporan.value!,
-                                        controller.selectedPenyaluran.value!);
-                                  }
-                                },
-                          icon: controller.isExporting.value
-                              ? SizedBox(
-                                  width: 24,
-                                  height: 24,
-                                  child: CircularProgressIndicator(
-                                    strokeWidth: 2,
-                                    valueColor: AlwaysStoppedAnimation<Color>(
-                                        Colors.white),
-                                  ),
-                                )
-                              : const Icon(Icons.download),
-                          label: Text(controller.isExporting.value
-                              ? 'Mengekspor...'
-                              : 'Export PDF'),
-                          style: ElevatedButton.styleFrom(
-                            backgroundColor: Colors.blue,
-                            padding: const EdgeInsets.symmetric(vertical: 12),
-                            disabledBackgroundColor:
-                                Colors.blue.withOpacity(0.7),
+                  ],
+                ),
+                child: Padding(
+                  padding: const EdgeInsets.all(20),
+                  child: Row(
+                    mainAxisAlignment: MainAxisAlignment.spaceEvenly,
+                    children: [
+                      if (laporan.status != 'FINAL')
+                        Expanded(
+                          child: ElevatedButton.icon(
+                            onPressed: () =>
+                                _showFinalizeConfirmation(context, laporanId),
+                            icon: const Icon(Icons.check_circle),
+                            label: const Text('Finalisasi'),
+                            style: ElevatedButton.styleFrom(
+                              backgroundColor: Colors.green,
+                              padding: const EdgeInsets.symmetric(vertical: 14),
+                              shape: RoundedRectangleBorder(
+                                borderRadius: BorderRadius.circular(10),
+                              ),
+                              elevation: 0,
+                            ),
                           ),
-                        )),
+                        ),
+                      if (laporan.status != 'FINAL') const SizedBox(width: 15),
+                      Expanded(
+                        child: Obx(() => ElevatedButton.icon(
+                              onPressed: controller.isExporting.value
+                                  ? null
+                                  : () {
+                                      if (controller.selectedLaporan.value !=
+                                              null &&
+                                          controller.selectedPenyaluran.value !=
+                                              null) {
+                                        controller.exportToPdf(
+                                            controller.selectedLaporan.value!,
+                                            controller
+                                                .selectedPenyaluran.value!);
+                                      }
+                                    },
+                              icon: controller.isExporting.value
+                                  ? SizedBox(
+                                      width: 20,
+                                      height: 20,
+                                      child: CircularProgressIndicator(
+                                        strokeWidth: 2,
+                                        valueColor:
+                                            AlwaysStoppedAnimation<Color>(
+                                                Colors.white),
+                                      ),
+                                    )
+                                  : const Icon(Icons.download),
+                              label: Text(controller.isExporting.value
+                                  ? 'Mengekspor...'
+                                  : 'Export PDF'),
+                              style: ElevatedButton.styleFrom(
+                                backgroundColor: Colors.blue,
+                                padding:
+                                    const EdgeInsets.symmetric(vertical: 14),
+                                disabledBackgroundColor:
+                                    Colors.blue.withOpacity(0.7),
+                                shape: RoundedRectangleBorder(
+                                  borderRadius: BorderRadius.circular(10),
+                                ),
+                                elevation: 0,
+                              ),
+                            )),
+                      ),
+                    ],
                   ),
-                ],
+                ),
               ),
             ],
           ),
@@ -835,45 +1363,98 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
 
   // Membangun header status
   Widget _buildStatusHeader(String status, DateTime? tanggalLaporan) {
+    final statusColor = _getStatusColor(status);
+    final statusIcon = _getStatusIcon(status);
+
     return Container(
-      padding: const EdgeInsets.all(16),
+      padding: const EdgeInsets.all(20),
       decoration: BoxDecoration(
-        color: AppTheme.primaryColor.withOpacity(0.1),
-        borderRadius: BorderRadius.circular(12),
+        gradient: LinearGradient(
+          colors: [
+            AppTheme.primaryColor.withOpacity(0.7),
+            AppTheme.primaryColor.withOpacity(0.5),
+          ],
+          begin: Alignment.topLeft,
+          end: Alignment.bottomRight,
+        ),
+        borderRadius: BorderRadius.circular(16),
+        boxShadow: [
+          BoxShadow(
+            color: Colors.grey.withOpacity(0.3),
+            blurRadius: 8,
+            offset: const Offset(0, 3),
+          ),
+        ],
       ),
-      child: Row(
-        mainAxisAlignment: MainAxisAlignment.spaceBetween,
+      child: Column(
+        crossAxisAlignment: CrossAxisAlignment.start,
         children: [
-          Column(
-            crossAxisAlignment: CrossAxisAlignment.start,
+          Row(
+            mainAxisAlignment: MainAxisAlignment.spaceBetween,
             children: [
-              Text(
-                'Status Laporan',
-                style: TextStyle(
-                  fontSize: 14,
-                  color: AppTheme.primaryColor,
+              Row(
+                children: [
+                  Icon(
+                    statusIcon,
+                    color: Colors.white,
+                    size: 24,
+                  ),
+                  const SizedBox(width: 10),
+                  Text(
+                    'Status Laporan',
+                    style: const TextStyle(
+                      fontSize: 16,
+                      fontWeight: FontWeight.bold,
+                      color: Colors.white,
+                    ),
+                  ),
+                ],
+              ),
+              Container(
+                padding:
+                    const EdgeInsets.symmetric(horizontal: 12, vertical: 6),
+                decoration: BoxDecoration(
+                  color: statusColor,
+                  borderRadius: BorderRadius.circular(20),
+                ),
+                child: Text(
+                  status,
+                  style: const TextStyle(
+                    fontSize: 14,
+                    fontWeight: FontWeight.bold,
+                    color: Colors.white,
+                  ),
                 ),
               ),
-              const SizedBox(height: 6),
-              StatusBadge(status: status),
             ],
           ),
-          Column(
-            crossAxisAlignment: CrossAxisAlignment.end,
+          const SizedBox(height: 15),
+          Row(
+            mainAxisAlignment: MainAxisAlignment.spaceBetween,
             children: [
-              Text(
-                'Tanggal Laporan',
-                style: TextStyle(
-                  fontSize: 14,
-                  color: AppTheme.primaryColor,
-                ),
+              Row(
+                children: [
+                  const Icon(
+                    Icons.calendar_today,
+                    color: Colors.white70,
+                    size: 18,
+                  ),
+                  const SizedBox(width: 8),
+                  Text(
+                    'Tanggal Laporan:',
+                    style: const TextStyle(
+                      fontSize: 14,
+                      color: Colors.white70,
+                    ),
+                  ),
+                ],
               ),
-              const SizedBox(height: 6),
               Text(
-                DateTimeHelper.formatDateTime(tanggalLaporan),
+                FormatHelper.formatDateTime(tanggalLaporan),
                 style: const TextStyle(
-                  fontSize: 14,
+                  fontSize: 15,
                   fontWeight: FontWeight.bold,
+                  color: Colors.white,
                 ),
               ),
             ],
@@ -883,35 +1464,18 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
     );
   }
 
-  // Membangun baris informasi
-  Widget _buildInfoRow(String label, String value) {
-    return Padding(
-      padding: const EdgeInsets.only(bottom: 12),
-      child: Row(
-        crossAxisAlignment: CrossAxisAlignment.start,
-        children: [
-          SizedBox(
-            width: 150,
-            child: Text(
-              label,
-              style: TextStyle(
-                fontSize: 14,
-                color: AppTheme.primaryColor,
-              ),
-            ),
-          ),
-          Expanded(
-            child: Text(
-              value,
-              style: const TextStyle(
-                fontSize: 14,
-                fontWeight: FontWeight.bold,
-              ),
-            ),
-          ),
-        ],
-      ),
-    );
+  // Helper untuk mendapatkan icon status
+  IconData _getStatusIcon(String status) {
+    switch (status.toUpperCase()) {
+      case 'FINAL':
+        return Icons.check_circle;
+      case 'DRAFT':
+        return Icons.edit_note;
+      case 'DIPROSES':
+        return Icons.sync;
+      default:
+        return Icons.info;
+    }
   }
 
   // Helper untuk mendapatkan warna status penerimaan
@@ -920,18 +1484,58 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
 
     switch (status.toUpperCase()) {
       case 'DITERIMA':
+      case 'FINAL':
         return Colors.green;
       case 'TERTUNDA':
+      case 'DRAFT':
         return Colors.orange;
       case 'DIBATALKAN':
         return Colors.red;
       case 'SEDANG DIPROSES':
+      case 'DIPROSES':
         return Colors.blue;
       default:
         return Colors.grey;
     }
   }
 
+  // Membangun baris informasi
+  Widget _buildInfoRow(String label, String value) {
+    return Padding(
+      padding: const EdgeInsets.only(bottom: 16),
+      child: Column(
+        crossAxisAlignment: CrossAxisAlignment.start,
+        children: [
+          Text(
+            label,
+            style: TextStyle(
+              fontSize: 14,
+              color: Colors.grey[600],
+              fontWeight: FontWeight.w500,
+            ),
+          ),
+          const SizedBox(height: 6),
+          Container(
+            width: double.infinity,
+            padding: const EdgeInsets.symmetric(horizontal: 16, vertical: 12),
+            decoration: BoxDecoration(
+              color: Colors.grey.shade50,
+              borderRadius: BorderRadius.circular(10),
+              border: Border.all(color: Colors.grey.shade200),
+            ),
+            child: Text(
+              value,
+              style: const TextStyle(
+                fontSize: 15,
+                fontWeight: FontWeight.w600,
+              ),
+            ),
+          ),
+        ],
+      ),
+    );
+  }
+
   // Menampilkan dokumen
   Widget _buildDocumentSection(String judul, String? url, IconData icon) {
     if (url == null || url.isEmpty) {
@@ -1007,9 +1611,64 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
       context: context,
       builder: (BuildContext context) {
         return AlertDialog(
-          title: const Text('Finalisasi Laporan'),
-          content: const Text(
-              'Laporan yang sudah difinalisasi tidak dapat diubah lagi. Lanjutkan?'),
+          shape: RoundedRectangleBorder(
+            borderRadius: BorderRadius.circular(16),
+          ),
+          title: Row(
+            children: [
+              Icon(
+                Icons.check_circle,
+                color: Colors.green,
+                size: 28,
+              ),
+              const SizedBox(width: 10),
+              const Text(
+                'Finalisasi Laporan',
+                style: TextStyle(
+                  fontSize: 18,
+                  fontWeight: FontWeight.bold,
+                ),
+              ),
+            ],
+          ),
+          content: Column(
+            mainAxisSize: MainAxisSize.min,
+            crossAxisAlignment: CrossAxisAlignment.start,
+            children: [
+              Container(
+                padding: const EdgeInsets.all(12),
+                decoration: BoxDecoration(
+                  color: Colors.amber.shade50,
+                  borderRadius: BorderRadius.circular(8),
+                  border: Border.all(color: Colors.amber.shade200),
+                ),
+                child: Row(
+                  children: [
+                    Icon(
+                      Icons.warning_amber_rounded,
+                      color: Colors.amber.shade800,
+                      size: 24,
+                    ),
+                    const SizedBox(width: 10),
+                    const Expanded(
+                      child: Text(
+                        'Laporan yang sudah difinalisasi tidak dapat diubah lagi.',
+                        style: TextStyle(
+                          fontSize: 14,
+                          color: Colors.black87,
+                        ),
+                      ),
+                    ),
+                  ],
+                ),
+              ),
+              const SizedBox(height: 15),
+              const Text(
+                'Apakah Anda yakin ingin memfinalisasi laporan ini?',
+                style: TextStyle(fontSize: 15),
+              ),
+            ],
+          ),
           actions: <Widget>[
             TextButton(
               onPressed: () {
@@ -1017,12 +1676,21 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
               },
               child: Text(
                 'Batal',
-                style: TextStyle(color: AppTheme.primaryColor),
+                style: TextStyle(
+                  color: Colors.grey[800],
+                  fontWeight: FontWeight.w600,
+                ),
               ),
             ),
             ElevatedButton(
               style: ElevatedButton.styleFrom(
-                backgroundColor: AppTheme.primaryColor,
+                backgroundColor: Colors.green,
+                elevation: 0,
+                shape: RoundedRectangleBorder(
+                  borderRadius: BorderRadius.circular(8),
+                ),
+                padding:
+                    const EdgeInsets.symmetric(horizontal: 15, vertical: 10),
               ),
               onPressed: () {
                 Navigator.of(context).pop();
@@ -1031,6 +1699,8 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
               child: const Text('Finalisasi'),
             ),
           ],
+          actionsPadding:
+              const EdgeInsets.symmetric(horizontal: 16, vertical: 12),
         );
       },
     );
@@ -1042,9 +1712,64 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
       context: context,
       builder: (BuildContext context) {
         return AlertDialog(
-          title: const Text('Hapus Laporan'),
-          content: const Text(
-              'Laporan yang dihapus tidak dapat dikembalikan. Lanjutkan?'),
+          shape: RoundedRectangleBorder(
+            borderRadius: BorderRadius.circular(16),
+          ),
+          title: Row(
+            children: [
+              Icon(
+                Icons.delete_forever,
+                color: Colors.red,
+                size: 28,
+              ),
+              const SizedBox(width: 10),
+              const Text(
+                'Hapus Laporan',
+                style: TextStyle(
+                  fontSize: 18,
+                  fontWeight: FontWeight.bold,
+                ),
+              ),
+            ],
+          ),
+          content: Column(
+            mainAxisSize: MainAxisSize.min,
+            crossAxisAlignment: CrossAxisAlignment.start,
+            children: [
+              Container(
+                padding: const EdgeInsets.all(12),
+                decoration: BoxDecoration(
+                  color: Colors.red.shade50,
+                  borderRadius: BorderRadius.circular(8),
+                  border: Border.all(color: Colors.red.shade200),
+                ),
+                child: Row(
+                  children: [
+                    Icon(
+                      Icons.error_outline,
+                      color: Colors.red.shade800,
+                      size: 24,
+                    ),
+                    const SizedBox(width: 10),
+                    const Expanded(
+                      child: Text(
+                        'Laporan yang dihapus tidak dapat dikembalikan.',
+                        style: TextStyle(
+                          fontSize: 14,
+                          color: Colors.black87,
+                        ),
+                      ),
+                    ),
+                  ],
+                ),
+              ),
+              const SizedBox(height: 15),
+              const Text(
+                'Apakah Anda yakin ingin menghapus laporan ini?',
+                style: TextStyle(fontSize: 15),
+              ),
+            ],
+          ),
           actions: <Widget>[
             TextButton(
               onPressed: () {
